APIV1
List all payments
AuthorizationBearer <token>
Merchant JWT bearer token
In: header
Scope: payments.read
Query Parameters
startKey?string
orderBy?string
from?string
orderType?string
The order in which objects are returned by
pageSize?integer
The maximum number of objects that can be returned
searchField?string
searchValue?string
filterField?string
filterValue?string
Response Body
application/json
application/json
curl -X GET "https://example.com/payments"[
{
"merchantId": "string",
"id": "string",
"status": "APPROVED",
"isDynamicPricingEnabled": false,
"totalMoney": {
"amount": 100,
"currency": "AED"
},
"amountMoney": {
"amount": 100,
"currency": "AED"
},
"approvedMoney": {
"amount": 100,
"currency": "AED"
},
"refundedMoney": {
"amount": 100,
"currency": "AED"
},
"capturedMoney": {
"amount": 100,
"currency": "AED"
},
"refundIds": [
"string"
],
"expirationDate": "2019-08-24T14:15:22Z",
"customerId": "string",
"onBehalfOf": "string",
"lineItems": [
{
"item": {
"metaData": {
"property1": "string",
"property2": "string"
},
"referenceId": "string",
"description": "string",
"imageUrls": [
"https://www.randomurl.com"
],
"attributes": {
"size": "xs",
"color": "blue"
},
"sku": "string",
"amountMoney": {
"amount": 100,
"currency": "AED"
},
"name": "string",
"id": "string"
},
"quantity": 0,
"subtotalMoney": {
"amount": 100,
"currency": "AED"
},
"totalMoney": {
"amount": 100,
"currency": "AED"
}
}
],
"groupPaymentId": "string",
"multiCardId": "string",
"cardDetails": {
"card": {
"id": "string",
"cardBrand": "string",
"country": "AF",
"mask": "string",
"last4": "string",
"expMonth": 0,
"expYear": 0,
"cardholderName": "string",
"fingerprint": "string",
"bin": "string"
},
"cvvStatus": "CVV_ACCEPTED",
"avsStatus": "AVS_ACCEPTED",
"authResultCode": "string",
"verificationResults": "SUCCESS",
"threeDSecure": {
"eci": "string",
"xid": "string",
"cavv": "string",
"threeDSVersion": "string",
"directoryResponse": "string",
"authenticationResponse": "string",
"transStatusReason": "string",
"cardHolderInfo": "string",
"threeDSTransactionId": "string"
}
},
"shippingAddress": {
"addressLines": {
"addressLine1": "string",
"addressLine2": "string",
"addressLine3": "string"
},
"name": "string",
"city": "string",
"country": "AF",
"postalCode": "string",
"organization": "string",
"sublocality": "string"
},
"billingAddress": {
"addressLines": {
"addressLine1": "string",
"addressLine2": "string",
"addressLine3": "string"
},
"name": "string",
"city": "string",
"country": "AF",
"postalCode": "string",
"organization": "string",
"sublocality": "string"
},
"statementDescriptionIdentifier": "string",
"description": "string",
"referenceId": "string",
"metaData": {
"property1": "string",
"property2": "string"
},
"autocomplete": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"gatewayVersion": 0.1,
"gatewayId": "string",
"gatewayName": "square",
"gatewayPaymentId": "string",
"airlineData": {
"market": "string",
"iataCode": "st",
"countryCode": "string",
"address": "string",
"tickets": [
{
"issueDate": "2019-08-24T14:15:22Z",
"ticketNumber": "string",
"passenger": {
"code": "string",
"countryCode": "string",
"title": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string",
"email": "string",
"phoneNumber": "string",
"ageCategory": "BABY"
},
"legs": [
{
"flightNumber": "string",
"departureAirportCode": "string",
"arrivalAirportCode": "string",
"serviceClassCode": "st",
"carrierCode": "st",
"departureDate": "2019-08-24T14:15:22Z",
"departureTime": "string",
"arrivalDate": "2019-08-24T14:15:22Z",
"arrivalTime": "string",
"couponNumber": "string",
"fareBasisCode": "string"
}
]
}
]
},
"internalReferenceId": "string"
}
]{
"http_status_code": 100,
"moreInfo": "https://www.randomurl.com",
"name": "string",
"detail": "string",
"instance": "/pets/dogs/123",
"property1": null,
"property2": null
}